This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 190319 - Review Request: perl-HTTP-Recorder - Record interaction with web sites
Review Request: perl-HTTP-Recorder - Record interaction with web sites
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 190318
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-30 21:41 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 08:26:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-04-30 21:41:20 EDT
Spec URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-HTTP-Recorder.spec

SRPM URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-HTTP-Recorder-0.05-1.src.rpm

Description:
Browser-independent recorder for recording interactions with web sites.


Note: Article about HTTP::Recorder
http://www.perl.com/lpt/a/2004/06/04/recorder.html
Comment 1 Jason Tibbitts 2006-05-01 21:08:05 EDT
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
follows the Perl specfile template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   a2c167d06509620921e4d417ce9354a7  HTTP-Recorder-0.05.tar.gz
   a2c167d06509620921e4d417ce9354a7  HTTP-Recorder-0.05.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=2, Tests=3,  0 wallclock secs ( 0.19 cusr +  0.06 csys =  0.25 CPU)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Jason Tibbitts 2006-05-01 21:09:09 EDT
Thanks for the article link, BTW.
Comment 3 Jose Pedro Oliveira 2006-05-04 08:26:41 EDT
Thanks for the review.

Imported and built for FC-4, FC-5, and devel.

(In reply to comment #2)
> Thanks for the article link, BTW.

This is a very interesting module. 




Note You need to log in before you can comment on or make changes to this bug.